#ifndef MUSIC_H_
#define MUSIC_H_

#include <glib-object.h>
#include "uobject.h"

#define ENGINE_MUSIC_TYPE (engine_music_get_type())
#define ENGINE_MUSIC(obj) \
	G_TYPE_CHECK_INSTANCE_CAST(obj, ENGINE_MUSIC_TYPE, EngineMusic)
#define ENGINE_MUSIC_CLASS(class) \
	G_TYPE_CHECK_CLASS_CAST(class, ENGINE_MUSIC_TYPE, EngineMusicClass)
#define ENGINE_IS_MUSIC(obj) \
	G_TYPE_CHECK_INSTANCE_TYPE(obj, ENGINE_MUSIC_TYPE)
#define ENGINE_IS_MUSIC_CLASS(class) \
	G_TYPE_CHECK_CLASS_TYPE(class, ENGINE_MUSIC_TYPE, EngineMusicClass)

typedef struct EngineMusic      EngineMusic;
typedef struct EngineMusicClass EngineMusicClass;

struct EngineMusic {
	UObject parent;
};

struct EngineMusicClass {
	UObjectClass parent;
};

GType engine_music_get_type(void);
void music_register(GTypeModule *m);

#endif
